Subject: Re: simplifying Emacs configure.ac

From: Ashish SHUKLA <[email-masked]>
Date: Wed, 22 Jan 2020 09:07:53 +0100

On Jan 19, 2020, at 06:09, Paul Eggert <[email-masked]> wrote:
> 
> On 1/18/20 5:46 AM, Bruno Haible wrote:
> 
>> This code in Emacs configure.ac:
>> # Use the system putenv even if it lacks GNU features, as we don't need them,
>> # and the gnulib replacement runs afoul of a FreeBSD 10.1 bug; see Bug#19874.
>> AC_CHECK_FUNCS_ONCE([putenv])
>> AC_DEFUN([gl_FUNC_PUTENV],
>>   [test "$ac_cv_func_putenv" = yes || REPLACE_PUTENV=1])
>> appears to be extra convoluted. All platforms have the putenv function.
>> Therefore REPLACE_PUTENV=1 is never executed here. If Emacs does not need
>> the putenv override, the simpler way is to invoke gnulib-tool with
>> '--avoid=putenv'.
> 
> Thanks for suggesting that. I installed the attached patch to Emacs master to implement something along the lines you suggested. I am cc'ing Ashish Shukla who reported Bug#19874 ("25.0.50; encode-time not working as expected"), as well as Wolfgang Jenkner who helped debug that, to give them a heads-up that the fix for Bug#19874 has changed.
> <0001-Remove-Gnulib-putenv-code.patch>

Hi

I just tried Emacs (git revision “140eb90bc5”) on FreeBSD 12.1-RELEASE-p1 (amd64) which includes your commit, and it’s working as expected.

Thanks!
--
Ashish | GPG: F682 CDCC 39DC 0FEA E116  20B6 C746 CFA9 E74F A4B0

“Sometimes even to live is an act of courage.” (Seneca)